package com.tuoheng.miniprogram.enums;

import lombok.Getter;

/**
 *  用户类型
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-25
 */
public enum RoleEnum {

    SUPER_ADMIN(1,"超级管理员"),
    ADMIN(2,"管理员"),
    ORDINARY_USER(3,"普通用户");

    RoleEnum(int code, String description){
        this.code = code;
        this.description = description;
    }

    @Getter
    private int code;

    @Getter
    private String description;

}
